BLAS/SRC/dscal.f(3)

NAME
BLAS/SRC/dscal.f

SYNOPSIS

  Functions/Subroutines
subroutine dscal (n, da, dx, incx)
DSCAL

Function/Subroutine Documentation

  subroutine dscal (integer n, double precision da, double precision, dimension(*) dx, integer incx)

DSCAL

Purpose:

        DSCAL scales a vector by a constant.
        uses unrolled loops for increment equal to 1.

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    DA

              DA is DOUBLE PRECISION
               On entry, DA specifies the scalar alpha.

    DX

              DX is DOUBLE PRECISION array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of DX

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, linpack, 3/11/78.
         modified 3/93 to return if incx .le. 0.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 78 of file dscal.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.